zenilib: zenilib/jni/external/freetype2/src/psaux/psconv.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
psconv.h File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_POSTSCRIPT_AUX_H>`

Go to the source code of this file.

## Functions

| PS_Conv_ASCIIHexDecode (FT_Byte **cursor, FT_Byte *limit, FT_Byte *buffer, FT_Offset n)
| PS_Conv_EexecDecode (FT_Byte **cursor, FT_Byte *limit, FT_Byte *buffer, FT_Offset n, FT_UShort *seed)
FT_BEGIN_HEADER | PS_Conv_Strtol (FT_Byte **cursor, FT_Byte *limit, FT_Int base)
| PS_Conv_ToFixed (FT_Byte **cursor, FT_Byte *limit, FT_Int power_ten)
| PS_Conv_ToInt (FT_Byte **cursor, FT_Byte *limit)

## Function Documentation

PS_Conv_ASCIIHexDecode | ( | FT_Byte ** | cursor,
|  | FT_Byte * | limit,
|  | FT_Byte * | buffer,
|  | FT_Offset | n
| ) |  |

Definition at line 334 of file psconv.c.

References IS_PS_SPACE, and pad.

Referenced by ps_parser_to_bytes().

PS_Conv_EexecDecode | ( | FT_Byte ** | cursor,
|  | FT_Byte * | limit,
|  | FT_Byte * | buffer,
|  | FT_Offset | n,
|  | FT_UShort * | seed
| ) |  |

Definition at line 427 of file psconv.c.

Referenced by t1_decrypt().

FT_BEGIN_HEADER PS_Conv_Strtol | ( | FT_Byte ** | cursor,
|  | FT_Byte * | limit,
|  | FT_Int | base
| ) |  |

Definition at line 73 of file psconv.c.

References FT_Bool, FT_BOOL, IS_PS_SPACE, and sign.

Referenced by PS_Conv_ToInt().

PS_Conv_ToFixed | ( | FT_Byte ** | cursor,
|  | FT_Byte * | limit,
|  | FT_Int | power_ten
| ) |  |

Definition at line 143 of file psconv.c.

References FT_Bool, FT_BOOL, FT_DivFix(), IS_PS_SPACE, PS_Conv_ToInt(), and sign.

Referenced by afm_parser_read_vals(), ps_parser_load_field(), ps_parser_to_fixed(), ps_tocoordarray(), and ps_tofixedarray().

PS_Conv_ToInt | ( | FT_Byte ** | cursor,
|  | FT_Byte * | limit
| ) |  |

Definition at line 120 of file psconv.c.

References PS_Conv_Strtol().

Referenced by afm_parser_read_vals(), PS_Conv_ToFixed(), ps_parser_load_field(), and ps_parser_to_int().